/*____________________________________________________________________________*\
 *

 Copyright (c) 1997-2003 John Roy, Holger Zimmermann. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: /cvsroot/pi3web/Pi3Web_200/Source/EnhPi3/Dialogs.h,v $
 * $Date: 2003/05/29 16:43:31 $
 *
 Description:

\*____________________________________________________________________________*/
/* $SourceTop:$ */

#ifndef DIALOGS_H_
#define DIALOGS_H_

#include <windows.h>

/*____________________________________________________________________________*\
 *
 Description:
	Definitions and global values
\*____________________________________________________________________________*/
extern DLGPROC fnGeneral;
extern DLGPROC fnMimeTypes;
extern DLGPROC fnLogging;
extern DLGPROC fnMapping;
extern DLGPROC fnDocuments;
extern DLGPROC fnStatus;
extern DLGPROC fnPerformance;
extern DLGPROC fnUsers;
extern DLGPROC fnHttp;
extern DLGPROC fnSSL;
extern DLGPROC fnNonIP;
extern DLGPROC fnIP;
extern DLGPROC fnDirIndex;
extern DLGPROC fnIO;

extern DLGPROC fnStartWizard;
extern DLGPROC fnWizard2;
extern DLGPROC fnWizard3;
extern DLGPROC fnWizard4;
extern DLGPROC fnEndWizard;

#define NUM_PAGES		13
#define NUM_SETUPPAGES	5

void AD_Changed( HWND hDlg );
void AD_UnChanged( HWND hDlg );
int AD_IsChanged();
BOOL AD_close( HWND hDlg );
BOOL AD_apply( HWND hDlg );
BOOL AD_cancel( HWND hDlg );

typedef struct DD
	{
	const char *pSslKeyFilename;
	const char *pSslCertFilename;
	const char *pSslServername;
	} DlgData;

#ifdef __cplusplus
extern "C" DLGPROC fnGenSslKeys;
#endif
#ifndef __cplusplus
extern DLGPROC fnGenSslKeys;
#endif

#endif /* DIALOGS_H_ */
