/*____________________________________________________________________________*\
 *

 Copyright (c) 1997-2003 John Roy, Holger Zimmermann. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: /cvsroot/pi3web/Pi3Web_200/Source/Parse/Conf.cpp,v $
 * $Date: 2003/05/13 18:42:08 $
 *
 Description:
\*____________________________________________________________________________*/
//$SourceTop:$

#include "PICompat.h"
#include "Conf.h"

/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
ConfigurationFile::ConfigurationFile( 
		const char *pFileName,
		ostream &tTheOs )
:	MarkupFile( pFileName, tTheOs )
{
}

/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
bool ConfigurationFile::Parse()
{
	return LexConfFile();
}

	/* --- data on current position --- *./
	inline const char *GetPtr()	{ return pszPtr; };
	inline unslgned long GetX()	{ return ulX; };
	inline unslgned long GetY()	{ return ulY; };
	inline unsigned long GetLen()	{ return ulLen; };
	*/

/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
void ConfigurationFile::Write( const char *pszDesc )
{
	const char *pszBuf=GetPtr();
	int iLen=GetLen();
	unsigned long ulY=GetY();
	unsigned long ulX=GetX();
	ostream &os=GetOs();
	os	<< "Line : " << ulY << ", " << ulX << " Len<"
		<< iLen << ">, ";
	os << "Type<" << pszDesc << ">:\'";
	for(int i=0; i<iLen; i++)
		{
		os << pszBuf[i];
		};
	os << "\'" << endl;
}

/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
void ConfigurationFile::Text()
{
	Write( "Text");
}

/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
void ConfigurationFile::Markup()
{
	Write( "Markup" );
}


/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
void ConfigurationFile::CommentMarkup()
{
	Write( "Markup Comment" );
}

/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
void ConfigurationFile::Markdown()
{
	Write( "Markdown" );
}

/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
void ConfigurationFile::Abort()
{
	GetOs() << "Serious error" << endl;
	return;
}

/*____________________________________________________________________________*\
 *
 Function:
 Synopsis:
 Description:
\*____________________________________________________________________________*/
bool ConfigurationFile::Overflow()
{
	GetOs() << "Overflow" << endl;
	return false;
}

