/*____________________________________________________________________________*\
 *

 Copyright (c) 1997-2003 John Roy, Holger Zimmermann. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission. 

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: /cvsroot/pi3web/Pi3Web_200/Source/Pi3Perl/Pi3PAPI/Pi3PAPI.h,v $
 * $Date: 2003/05/13 18:42:11 $
 *
 Description:
\*____________________________________________________________________________*/
/* $HeaderTop:$ */

#ifndef PI3PAPI_H_
#define PI3PAPI_H_
//#include "PIHTTP.h"
//#include "HTTPCore.h"
#include "Pi3API.h"
/***
* to solve problem with h2xs because of explicite parse of PIDB.h
* and PIIOBuf.h, explicite is necessary due to constants in PIDB.h
* and PIIOBUF.h but errneous double scan of PIDB functions will
* occur :-(
***/
#ifndef H2XS
#	include "PIDB.h"
#else
#	define PIIOBUF_NONE		(0)
#	define PIIOBUF_NOBUFFER	(1)
#	define PIIOBUF_CHUNKED		(2)

#	define PIDBTYPE_INVALID				-1
#	define PIDBTYPE_TREE				0
#	define PIDBTYPE_STRING				1
#	define PIDBTYPE_RFC822				2
#	define PIDBTYPE_OPAQUE				3
#	define PIDBTYPE_USER				4

/* --- this should always be the value of the last builtin type --- */
#	define PIDBTYPE_LAST				4	

#	define PIDBTYPE_BUILTINSIZE			(PIDBTYPE_LAST+1)

/* --- Flags --- */
#	define PIDBFLAG_NONE				0x0000
#	define PIDBFLAG_PROPAGATEUP			0x0001
#	define PIDBFLAG_NOCALLBACK			0x0002
#	define PIDBFLAG_FASTKEY				0x0004

/* --- text encoding of DB types and flags, for persistence --- */
#	define PIDBTYPE_TEXT_TREE			"TREE"
#	define PIDBTYPE_TEXT_STRING			"STRING"
#	define PIDBTYPE_TEXT_RFC822			"RFC822"
#	define PIDBTYPE_TEXT_OPAQUE			"OPAQUE"
#	define PIDBTYPE_TEXT_USER			"USER"

#	define PIDBFLAG_TEXT_PROPAGATEUP		"PROPAGATEUP"
#	define PIDBFLAG_TEXT_NOCALLBACK		"NOCALLBACK"
#	define PIDBFLAG_TEXT_FASTKEY			"FASTKEY"
#endif

/*____________________________________________________________________________*\
 Description: Flags to determine the HTTP DB to retrieve
\*____________________________________________________________________________*/
#define GETDB_REQUEST		0
#define GETDB_RESPONSE		1
#define GETDB_CONNECTION	2
#define GETDB_HOST		3

/*____________________________________________________________________________*\
 *
 Name:
	PIHTTP_getDB

 Synopsis:
	PIDB *PIHTTP_getDB( PIHTTP *pPIHTTP, int iType )

 Description:
	This function is not yet documented.

 Notes:
 Return Values:
 Errors:
 See Also:
\*____________________________________________________________________________*/

PIDB *PIHTTP_getDB( PIHTTP *pPIHTTP, int iType );

#endif	/* PI3PAPI_H_ */