/*____________________________________________________________________________*\
 *

 Copyright (c) 1997-2003 John Roy, Holger Zimmermann. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: /cvsroot/pi3web/Pi3Web_200/Source/SLL/SLLDB.h,v $
 * $Date: 2003/05/13 18:42:16 $
 *
 Description:
\*____________________________________________________________________________*/
//$SourceTop:$

#ifndef SLLDB_H_
#define SLLDB_H_

#include "PIConfDB.h"
#include "_SLLKeys.h"
#include "SLLMisc.h"

/*____________________________________________________________________________*\
 *
 Class:
 Description:
\*____________________________________________________________________________*/
class SLLDB : public PIConfigDB
{
private:
	static TypeFrame tRootNodeTypeFrame;
	static TypeFrame tNodeTypeFrame;
	static void RenderNode( ostream &os, const void *pV, int iLevel );
    static void DestructNode( void *pV );

protected:
    virtual ConfigDBParser *CreateParser( const char *pFileName );
	int ReadElem( _PIDBIterator *pIter, const char **ppCurrentLine,
		int *piPosition, unsigned char &cLookAhead, SLLBase **ppElem );
	SLLList *RecursiveReadList( _PIDBIterator *pIter,
		const char **ppCurrentLine, int *piPosition,
		unsigned char &cLookAhead );
	bool ParseSLL();

public:
    SLLDB( _PIDB *pParent, const char *pName=PIDBKEY_SLLFILE );
	virtual bool Load( const char *pFileName );
};

#endif	/* SLLDB_H_ */

