/*____________________________________________________________________________*\
 *

 Copyright (c) 1997-2003 John Roy, Holger Zimmermann. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission. 

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: /cvsroot/pi3web/Pi3Web_200/Source/Servlet/org/pi3/servlet/samples/DispatchServlet.java,v $
 * $Date: 2003/05/13 18:42:21 $
 *
 Description:
	Utility class, providing some usefull methods.

\*____________________________________________________________________________*/

package org.pi3.servlet.samples;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Enumeration;

public class DispatchServlet extends HttpServlet {
  public void doGet( HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
      response.setContentType("text/html; charset=utf-8");
      StringBuffer sb = new StringBuffer("<H1>Dispatcher Servlet</H1><HR>\r\n");
	sb.append("<p><b>Including Ressource from PathInfo: </b><a href=\"/servlet/DispatchServlet/HelloServlet1\">");
      sb.append("/servlet/DispatchServlet/HelloServlet1</a>\r\n");
	sb.append("<p>(The 'Hello World'-Servlet output will be shown <b>within</b> the output of this Servlet)<hr>");
	sb.append("<p><b>Forwarding to Ressource from PathInfo: </b><a href=\"/servlet/DispatchServlet/HelloServlet2\">");
      sb.append("/servlet/DispatchServlet/HelloServlet2</a>\r\n");
	sb.append("<p>(The 'Hello World'-Servlet output will be shown <b>instead of</b> the output of this Servlet)");
      String s = sb.toString();

      ServletOutputStream out = response.getOutputStream();

	if (request.getPathInfo() != null) {
        if (request.getPathInfo().equalsIgnoreCase("/HelloServlet1")) {

          out.print(s);
          out.print("<p>This text was inserted by the original servlet before the included Servlet.<hr>\r\n");
          getServletContext().getRequestDispatcher("/servlet/org.pi3.servlet.samples.HelloServlet").include(request, response);
          out.print("<p>This text was inserted by the original servlet after the included Servlet.");
          out.print("<p>(Remember, that a Content-Length can't be set here)<hr>\r\n");
        };

        if (request.getPathInfo().equalsIgnoreCase("/HelloServlet2")) {
          getServletContext().getRequestDispatcher("/servlet/org.pi3.servlet.samples.HelloServlet").forward(request, response);
          return;
        };
      } else {
         response.setContentLength(s.length());
         out.print(s);
      };
      out.flush();
    }
  }