
/*
 * Step 4: Initialize the program database functionality and
 * write a simple hello world.
 */

#include <iostream.h>
#include <stdlib.h>

#include "Pi2API.h"

int iRet;
void Step7( PIDB *pDB )
{
	iRet = -1;
	cout << "Program running on " << PIPlatform_getDescription() << endl;
	cout << endl;

	PIConfig *pConfigDB = 0;
	const char *pFile = "./Step7.cnf";
	if ( PIConfig_loadConfigurationFile( pDB, pFile, &pConfigDB ) )
		{
		cerr << "Unable to load configuration file: '" << pFile 
			<< "'" << endl;
		return;
		};

	const PILibrary *pLib = PILibrary_load( pDB, pConfigDB, "Step7" );
	if ( !pLib )
		{
		cerr << "Failed to load library:-" << endl;
		PILog_writeDiagnostics( pDB, PILOG_ALL, 0 );
		};

	iRet = 0;
}

/* ---
--- */
int main()
{
	if ( PIProgram_enter( "dummy", PIPROGRAM_VERSION_1_0, Step7 ) )
		{
		cerr << "Program_enter() failed." << endl;
		exit( 1 );
		};

	return iRet;
}

